########################################################################
#
#  Copyright (C) 2009, CZ.NIC, z.s.p.o.
# 
#  This file is part of dnstester.
#
#  dnstester is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  dnstester is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
########################################################################

import sys

def host_addresses():

    if sys.platform == 'linux2':
        import hostip_linux2
        return hostip_linux2.host_addresses()

    if sys.platform == 'win32':
        import hostip_win32
        return hostip_win32.host_addresses()

    if sys.platform == 'darwin':
        import hostip_darwin
        return hostip_darwin.host_addresses()

    log = 'Unknown platform %s' % sys.platform
    return None, log
